From patchwork Mon Nov 14 12:51:02 2022
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Patchwork-Submitter: Jason Yan <yanaijie@huawei.com>
X-Patchwork-Id: 183250
Return-Path: <yanaijie@huawei.com>
Received: from dggems705-chm.china.huawei.com (10.3.19.182) by
 dggems702-chm.china.huawei.com (10.3.19.179) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.31 via Mailbox Transport; Mon, 14 Nov 2022 20:33:24 +0800
Received: from canpemm500004.china.huawei.com (7.192.104.92) by
 dggems705-chm.china.huawei.com (10.3.19.182) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.31; Mon, 14 Nov 2022 20:33:24 +0800
Received: from huawei.com (10.175.127.227) by canpemm500004.china.huawei.com
 (7.192.104.92) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id 15.1.2375.31; Mon, 14 Nov
 2022 20:33:24 +0800
From: Jason Yan <yanaijie@huawei.com>
To: <yanaijie@huawei.com>, <zhengzengkai@huawei.com>, <xiexiuqi@huawei.com>,
	<yi.zhang@huawei.com>, <patchwork@huawei.com>, <kernel.openeuler@huawei.com>,
	<houtao1@huawei.com>
Subject: [PATCH OLK-5.10 v2 153/308] ksmbd: remove SMB1 oplock level macros
Date: Mon, 14 Nov 2022 20:51:02 +0800
Message-ID: <20221114125337.1831594-154-yanaijie@huawei.com>
X-Mailer: git-send-email 2.31.1
In-Reply-To: <20221114125337.1831594-1-yanaijie@huawei.com>
References: <20221114125337.1831594-1-yanaijie@huawei.com>
Content-Type: text/plain
X-MS-Exchange-Organization-Network-Message-Id: 
 c32dfd8a-718f-402d-804a-08dac63c6c60
X-MS-Exchange-Organization-AuthSource: canpemm500004.china.huawei.com
X-MS-Exchange-Organization-AuthAs: Internal
X-MS-Exchange-Organization-AuthMechanism: 07
X-Originating-IP: [10.175.127.227]
X-ClientProxiedBy: dggems702-chm.china.huawei.com (10.3.19.179) To
 canpemm500004.china.huawei.com (7.192.104.92)
X-MS-Exchange-Transport-EndToEndLatency: 00:00:00.6787077
X-MS-Exchange-Processed-By-BccFoldering: 15.01.2375.031
MIME-Version: 1.0

From: Namjae Jeon <namjae.jeon@samsung.com>

mainline inclusion
from mainline-5.15-rc1
commit 0ae941ef2e481e478a4b6c52a16e73c7bb4b9e3e
category: feature
bugzilla: https://gitee.com/openeuler/kernel/issues/I60T7G
CVE: NA

Reference: https://git.kernel.org/torvalds/linux/c/0ae941ef2e48

-------------------------------

ksmbd does not support SMB1. This patch remove SMB1 oplock level macros.

Reviewed-by: Christoph Hellwig <hch@lst.de>
Signed-off-by: Namjae Jeon <namjae.jeon@samsung.com>
Signed-off-by: Steve French <stfrench@microsoft.com>
Signed-off-by: Jason Yan <yanaijie@huawei.com>
---
 fs/ksmbd/oplock.c | 2 +-
 fs/ksmbd/oplock.h | 6 ------
 2 files changed, 1 insertion(+), 7 deletions(-)

diff --git a/fs/ksmbd/oplock.c b/fs/ksmbd/oplock.c
index 43c8b7ce6095..a9f171ccf770 100644
--- a/fs/ksmbd/oplock.c
+++ b/fs/ksmbd/oplock.c
@@ -39,7 +39,7 @@ static struct oplock_info *alloc_opinfo(struct ksmbd_work *work,
 
 	opinfo->sess = sess;
 	opinfo->conn = sess->conn;
-	opinfo->level = OPLOCK_NONE;
+	opinfo->level = SMB2_OPLOCK_LEVEL_NONE;
 	opinfo->op_state = OPLOCK_STATE_NONE;
 	opinfo->pending_break = 0;
 	opinfo->fid = id;
diff --git a/fs/ksmbd/oplock.h b/fs/ksmbd/oplock.h
index 9fb7ea74e86c..119b8047cfbd 100644
--- a/fs/ksmbd/oplock.h
+++ b/fs/ksmbd/oplock.h
@@ -11,12 +11,6 @@
 
 #define OPLOCK_WAIT_TIME	(35 * HZ)
 
-/* SMB Oplock levels */
-#define OPLOCK_NONE      0
-#define OPLOCK_EXCLUSIVE 1
-#define OPLOCK_BATCH     2
-#define OPLOCK_READ      3  /* level 2 oplock */
-
 /* SMB2 Oplock levels */
 #define SMB2_OPLOCK_LEVEL_NONE          0x00
 #define SMB2_OPLOCK_LEVEL_II            0x01

